﻿Type=Service
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
#End Region

Sub Process_Globals
	Dim nb As NotificationBuilder
	Dim mp As MediaPlayer
End Sub
Sub Service_Create
	initKVS.initalizingData
	initKVS.AlarmTime = initKVS.kvs.GetSimple("alarmTime")
	
End Sub

Sub Service_Start (StartingIntent As Intent)
	
	mp.Initialize
	mp.load(File.DirAssets, "alarmsound.mp3")
	mp.Looping = True
	mp.SetVolume(1, 1)
	
	nb.Initialize
	nb.SmallIcon = "icon"
	nb.Ticker = "New Demo"
	nb.Tag = "some tag"
	nb.setActivity(Main)
	nb.DefaultLight = False
	nb.DefaultVibrate = True
	nb.DefaultSound = False
	'nb.CustomSound = "file://" & File.Combine(File.DirDefaultExternal, "alarmsound.mp3")
	'nb.inisistent = True 'doesn't exist
	nb.ContentTitle = "the title"
	nb.ContentText = "the text"
	nb.ContentInfo = "a bit of info"
	nb.SubText = "the subtext"
	nb.Notify(1)
	
	mp.Play
	
	Dim p As Period
	p.Days = 1
	Do While initKVS.AlarmTime < DateTime.Now 'make sure alarm is set in the future
		initKVS.AlarmTime = DateUtils.AddPeriod(initKVS.AlarmTime, p)
	Loop
	StartServiceAt("",initKVS.AlarmTime,True)
	initKVS.kvs.PutSimple("alarmTime", initKVS.alarmTime)
End Sub

Sub Service_Destroy
	mp.Stop
	mp.Release
	nb.Cancel(1)
	CancelScheduledService("")
	
End Sub
